Name:           python-webm
Version:        0.2.2
Release:        1%{?dist}
Summary:        Python wrapper to WebM libraries
BuildArch:      noarch

License:        BSD       
URL:            https://code.google.com/p/python-webm/
Source0:        https://python-webm.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  libwebp
BuildRequires:  python-imaging

Requires:       libwebp
Requires:       python-imaging

%description
The python-webm package is an interface to the WebM video/image codec. The 
interface uses ctypes to call the libvpx/libwebm Google libraries installed in 
the system. At the moment only the libwebm library is wrapped and with some
limitations.

%prep
%setup -qn %{name}

#use the right library
sed -i 's/libwebp\.so\.0/libwebp\.so\.4/' webm/__init__.py

%build
#nothing to do

%install
mkdir -p %{buildroot}%{python_sitelib}/webm
cp -p webm/*.py %{buildroot}%{python_sitelib}/webm

%check
nosetests -s -x
 
%files
%{python_sitelib}/webm
%doc README

%changelog
* Thu Apr 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.2-1
- initial package

